CREATE TABLE irc_sql_tracking (
    SQL_TRACKING_ID          NUMBER(18, 0) ,
    SQL_BLOCK_IDENTIFIER     VARCHAR2(1200)    NOT NULL,
    DESCRIPTION              VARCHAR2(4000),
    STATUS                   VARCHAR2(240)     NOT NULL,
    EXEC_START_TIME          TIMESTAMP(6)  ,
    EXEC_END_TIME            TIMESTAMP(6)  ,
    ADDITIONAL_DETAILS       CLOB          ,
    TRACKING_ATTR1           VARCHAR2(4000),
    TRACKING_ATTR2           VARCHAR2(4000),
    TRACKING_ATTR3           VARCHAR2(4000),
    TRACKING_ATTR4           VARCHAR2(4000),
    TRACKING_ATTR5           VARCHAR2(4000),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    MODULE_ID                VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    SQL_TRACKING_ID          NUMBER(18, 0) ,
    SQL_BLOCK_IDENTIFIER     VARCHAR2(1200)    NOT NULL,
    DESCRIPTION              VARCHAR2(4000),
    STATUS                   VARCHAR2(240)     NOT NULL,
    EXEC_START_TIME          TIMESTAMP(6)  ,
    EXEC_END_TIME            TIMESTAMP(6)  ,
    ADDITIONAL_DETAILS       CLOB          ,
    TRACKING_ATTR1           VARCHAR2(4000),
    TRACKING_ATTR2           VARCHAR2(4000),
    TRACKING_ATTR3           VARCHAR2(4000),
    TRACKING_ATTR4           VARCHAR2(4000),
    TRACKING_ATTR5           VARCHAR2(4000),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    MODULE_ID                VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_irc_sql_tracking PRIMARY KEY (SQL_TRACKING_ID, SQL_TRACKING_ID)
);
